include mixins



<!DOCTYPE html>
html(lang="en")
    head
        meta(charset="UTF-8")
        meta(name = "viewport"
        content="width=device-width, initial-scale=1.0")

        link(rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css' type='text/css')
        link(rel='stylesheet' href='https://static.pingendo.com/bootstrap/bootstrap-4.3.1.css')
        script(src='https://code.jquery.com/jquery-3.3.1.slim.min.js' integrity='sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo' crossorigin='anonymous' style='')
        script(src='https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js' integrity='sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut' crossorigin='anonymous' style='')
        script(src='https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js' integrity='sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM' crossorigin='anonymous')

        title Document
    +navbar

    body
        .py-2.text-center
           .container
                .row
                    .mx-auto.col-md-12
                        h1.mb-4 Lista de usuarios
        .py-4
            .container
                .row
                    .col-md-12
                        .table-responsive
                            table.table.table-bordered
                                thead.thead-dark.text-center
                                    tr
                                        th Nombre
                                        th Email
                                        th Password
                                        th Editar
                                        th Eliminar
                                tbody.thead-dark.text-center
                                    
                                    for a, index in data
                                        tr
                                            td #{data[index].nombre}
                                            td #{data[index].email}
                                            td #{data[index].password}
                                            td
                                                a.btn.btn-outline-primary(href='/editarUsuario/'+data[index]._id ) Editar
                                                
                                            td
                                                form.text-left(action='/usuario/'+data[index]._id+'?_method=DELETE' method='post')
                                                    button.btn.btn-secondary(type='submit') Eliminar


        +footer
        script(src='https://code.jquery.com/jquery-3.3.1.slim.min.js' integrity='sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo' crossorigin='anonymous' style='')
        script(src='https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js' integrity='sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut' crossorigin='anonymous' style='')
        script(src='https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js' integrity='sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM' crossorigin='anonymous')
